public class UseUsedBookWithEnum {
  public static void main(String[] args) {
    UsedBookWithEnum b = new UsedBookWithEnum(
          5011, "Fishing Explained", 25.0, 
          BookWithEnum.Category.required,
          UsedBookWithEnum.Condition.good);
    b.display();
  }
}